API 文档AI 模型接口图像OpenAI

生成图像

在给定提示的情况下创建图像。[了解更多](https://platform.openai.com/docs/guides/images)。

生成图像

在给定提示的情况下创建图像。了解更多

Base URL

  • https://autorouter.top — Production

Authentication

BearerAuth: http (bearer) 使用 Bearer Token 认证。 格式: Authorization: Bearer sk-xxxxxx

Endpoints

POST /v1/images/generations

生成图像

在给定提示的情况下创建图像。了解更多

Request Body

Content-Type: application/json

Properties:

NameTypeRequiredDescription
modelstringNo图像生成模型的 ID。
promptstringYes所需图像的文本描述。gpt-image-1 的最大长度为 32000 个字符,dall-e-2 的最大长度为 1000 个字符,dall-e-3 的最大长度为 4000 个字符。
nintegerNo要生成的图像数量。必须介于 1 到 10 之间。对于 dall-e-3,仅支持 n=1
sizestringNo生成的图像的大小。对于 gpt-image-1,必须是 1024x10241536x1024(横向)、1024x1536(纵向)或自动(默认值)之一,对于 dall-e-2,必须是 256x256、``512x5121024x1024 之一,对于 dall-e-3,必须是 1024x10241792x10241024x1792 之一。
backgroundstringNo允许为生成的图像的背景设置透明度。此参数仅支持 gpt-image-1。必须是以下之一 透明不透明自动(默认值)。使用自动时,模型将自动确定图像的最佳背景。 如果是透明的,则输出格式需要支持透明度,因此应将其设置为 png(默认值)或 webp
moderationstringNo控制 gpt-image-1 生成的图像的内容审核级别。必须为低, 以进行限制较少的筛选或自动(默认值)。
qualitystringNo将生成的图像的质量。
streamstringNo-
stylestringNo-
userstringNo-

Responses

200: Response

Content-Type: application/json

请求示例

curl -X POST "https://autorouter.top/v1/images/generations" \
  -H "Content-Type: application/json" \
  -d '{
  "model": "gpt-image-2",
  "prompt": "A cute cartoon cat sitting on a colorful rainbow, digital art style",
  "n": 1,
  "size": "1024x1024"
}'

响应示例

{
  "created": 0,
  "data": [
    {
      "b64_json": "string",
      "url": "string"
    }
  ],
  "usage": {
    "total_tokens": 0,
    "input_tokens": 0,
    "output_tokens": 0,
    "input_tokens_details": {
      "text_tokens": 0,
      "image_tokens": 0
    }
  }
}

目录